/*
 * Copyright 2005-2006 Myriad Genetics, Inc.
 *
 * All rights reserved.
 */

package com.myriad.tmap;

import javax.swing.*;
import com.myriad.tmap.compute.Pedigree;
import com.myriad.tmap.improve.MapComponent;

/** A base class which can provide a building operation, either with or without
    split mother and father recombination rates. It first asks for a pedigree
    file, if that was not provided on the command line. Then it asks for a
    linkage group, again, if that was not provided on the command line. Then it
    builds an initial map of that linkage group. */
class BuilderBase {
    protected static void main(boolean split, String[] argv) {
        FileGetter      getter = new FileGetter();
        Pedigree        ped = getter.getPed(argv.length < 1 ? null : argv[0]);
        String[]        markers;
        WorkingDialog   working;
        MapComponent    mapComp;
        
        markers = getter.getMarkers(argv.length < 2 ? null : argv[1]);
        working = new WorkingDialog("Building");
        ped.build(markers, split);
        working.dispose();
        
        /* :TODO: should pass along the map structure here. */
        mapComp = new MapComponent(ped, markers, split);
        mapComp.putInNewFrame(null);
        
    }
}
