/*
 * Copyright 2005-2006 Myriad Genetics, Inc.
 *
 * All rights reserved.
 */

package com.myriad.tmap;

import javax.swing.*;
import com.myriad.tmap.compute.Pedigree;
import com.myriad.tmap.grouping.GroupingComponent2;

/** Main class which uses a pedigree file to display the linkage groups in a
    GroupingComponent2. If a pedigree file is not provided on the command line,
    it prompts the user with a dialog box. */
class Grouping {
    public static void main(String[] argv) {
        Pedigree            ped;
        GroupingComponent2  comp;
        JFrame              frame;
        double              minLod = 5.0;
        double              maxLod = 8.0;
        double              maxDist = 30.0;
        
        if (argv.length > 1) {
            System.err.println("Too many arguments");
            System.exit(1);
        }
        
        ped = (new FileGetter()).getPed(argv.length == 1 ? argv[0] : null);
        comp = new GroupingComponent2(ped, minLod, maxLod, maxDist);
        frame = new JFrame("Grouping");
        
        frame.getContentPane().add(comp);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setSize(600, 600);
        frame.setVisible(true);
    }
}
