/*
 * Copyright 2005-2006 Myriad Genetics, Inc.
 *
 * All rights reserved.
 */

package com.myriad.tmap;

import javax.swing.*;
import com.myriad.tmap.compute.Pedigree;
import com.myriad.tmap.improve.MapComponent;

/** Main class which reads a pedigree file and an ordered list of markers and
    displays the map using a MapComponent. Both the pedigree file and the marker
    file can be given on the command line, but, if not, it prompts the user. */
class MapViewer {
    public static void main(String[] args) {
        FileGetter      getter = new FileGetter();
        Pedigree        ped = getter.getPed(args.length < 1 ? null : args[0]);
        String[]        markers;
        MapComponent    map;
        
        markers = getter.getMarkers(args.length < 2 ? null : args[1]);
        map = new MapComponent(ped, markers, false);
        map.putInNewFrame(null);
    }
}
