/*
 * Copyright 2005-2006 Myriad Genetics, Inc.
 *
 * All rights reserved.
 */

package com.myriad.tmap.compute;

/** Represents a matrix of two-point data, i.e lod scores and distances for
    every pair of markers.
 */
public class TwoPointData {
    public TwoPointData(String[] aNames, double[][] aLods, double[][] aDists)
    {
        names = aNames;
        lods = aLods;
        dists = aDists;
    }
    
    public int getNumMarkers()
    {
        return names.length;
    }
    
    public String getMarkerName(int ndx)
    {
        return names[ndx];
    }
    
    /** Returns the lod score betwen markers i and j. j must be less than i or
        it will throw an exception */
    public double getLod(int i, int j)
    {
        return lods[i][j];
    }
    
    /** Returns the distance between markers i and j. j must be less than i or
        it will throw an exception */
    public double getDist(int i, int j)
    {
        return dists[i][j];
    }
    
    private String[]    names;
    private double[][]  lods;
    private double[][]  dists;
}
